package org.xbib.io.webdav.client.methods;

import java.net.http.HttpResponse;

/**
 * Represents an HTTP VERSION-CONTROL request.
 *
 * @see <a href="http://webdav.org/specs/rfc3253.html#rfc.section.3.5">RFC 3253, Section 3.5</a>
 */
public class VersionControl extends AbstractMethod {

    @Override
    public String method() {
        return "VERSION-CONTROL";
    }

    @Override
    public boolean succeeded(HttpResponse<?> response) {
        return response.statusCode() == 200;
    }
}
